Bug 533024 - --location and --srpm do not work as intended
--location and --srpm do not work as intended
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-04 13:07 EST by Michael Scherer
Modified: 2014-01-21 18:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-04 17:01:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2009-11-04 13:07:46 EST
Description of problem:
using --location and --srpm do not show the expected result when used at the same time. I would expect to use this to get the srpm url only, while it show the package and its srpm url.

Version-Release number of selected component (if applicable):
yum-utils-1.1.23-3.fc12.noarch

How reproducible:
always

Steps to Reproduce:
1. $ repoquery --location  --srpm couchdb

Actual results:
ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/development/i386/os//Packages/couchdb-0.10.0-2.fc12.i686.rpm
ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/development/source/SRPMS//couchdb-0.10.0-2.fc12.src.rpm

( srpm and binary rpm )

Expected results:

just the srpm

Additional info:
if I disable the src repo in yum, it still give the binary rpm, instead of a error message.
Comment 1 seth vidal 2009-11-04 17:01:20 EST
yep - that's not right. And now it's fixed.

Took me a bit of time to track down where this was going wrong.
http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=39b581cc96d26d623544c17303804088d3fd939c

it's committed upstream.
Comment 2 Fedora Update System 2009-11-07 01:56:24 EST
yum-utils-1.1.24-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-utils-1.1.24-1.fc12

Note You need to log in before you can comment on or make changes to this bug.